let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/5y2ky2s9182ch21d1n57bbfami65yl1q-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/ynci5qardhk3fz3xyq3raxpdrik19iwk-coreutils-8.31/bin";
  bzip2 = "/nix/store/cac7mi9gmvrb0dzmxvnb96r23qdc2ssb-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/mmdimppnw39bmnrf19pjmrq1x59xk387-gzip-1.10/bin/gzip";
  xz = "/nix/store/n8kj24qxhc75v6n1gjgk1z6c0awbs1n6-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/lf01l8ayj60iz6d14pn79ci1mgwf131p-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/ynci5qardhk3fz3xyq3raxpdrik19iwk-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/5axys7hsggb4282dsbps5k5p0v59yv13-nix-2.3.3/bin";
  nixPrefix = "/nix/store/5axys7hsggb4282dsbps5k5p0v59yv13-nix-2.3.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/5axys7hsggb4282dsbps5k5p0v59yv13-nix-2.3.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
